Author Topic: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0:  (Read 5187 times)

markus.neubauer

  • Zen Apprentice
  • *
  • Posts: 49
  • Karma: +7/-0
    • View Profile
Re: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0:
« Reply #15 on: November 19, 2018, 11:04:33 am »
The solution depends on your installation status.

Do you receive the error then use a bash shell and simply do:
Code: [Select]
A_VERSION=1.2.29
wget http://archive.ubuntu.com/ubuntu/pool/main/a/apt/libapt-pkg5.0_${A_VERSION}_amd64.deb
dpkg --install --force-all libapt-pkg5.0_${A_VERSION}_amd64.deb # instead force-all you may use force-downgrade
apt update
apt upgrade
« Last Edit: November 19, 2018, 11:20:46 am by markus.neubauer »

ap1821

  • Zen Monk
  • **
  • Posts: 72
  • Karma: +4/-0
    • View Profile
Re: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0:
« Reply #16 on: December 13, 2018, 01:01:11 pm »
This totally worked. Thanks markus!

Ppbottle

  • Zen Apprentice
  • *
  • Posts: 10
  • Karma: +1/-0
    • View Profile
Re: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0:
« Reply #17 on: February 15, 2019, 10:32:04 pm »
The solution from J. A. Calvo

Code: [Select]
wget http://archive.ubuntu.com/ubuntu/pool/main/a/apt/libapt-pkg5.0_1.2.29_amd64.deb
sudo dpkg --install --force-downgrade libapt-pkg5.0_1.2.29_amd64.deb

Did not work for me, I got a 404 error.

Mrme's solution worked though and I am now up and running. Thank you!

Code: [Select]
wget https://launchpad.net/ubuntu/+archive/primary/+files/libapt-pkg5.0_1.2.29_amd64.deb
sudo dpkg --install --force-downgrade libapt-pkg5.0_1.2.29_amd64.deb

mrme

  • Zen Apprentice
  • *
  • Posts: 14
  • Karma: +0/-0
    • View Profile
Re: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0:
« Reply #18 on: March 15, 2019, 06:29:44 am »
The solution from J. A. Calvo

Code: [Select]
wget http://archive.ubuntu.com/ubuntu/pool/main/a/apt/libapt-pkg5.0_1.2.29_amd64.deb
sudo dpkg --install --force-downgrade libapt-pkg5.0_1.2.29_amd64.deb

Did not work for me, I got a 404 error.

Mrme's solution worked though and I am now up and running. Thank you!

Code: [Select]
wget https://launchpad.net/ubuntu/+archive/primary/+files/libapt-pkg5.0_1.2.29_amd64.deb
sudo dpkg --install --force-downgrade libapt-pkg5.0_1.2.29_amd64.deb

I'm glad I was of service. How have you not noticed until now? I hate to think how you discovered this box wasn't being updated..

cyber035

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: relocation error: /usr/lib/x86_64-linux-gnu/libapt-private.so.0.0:
« Reply #19 on: September 21, 2019, 06:18:17 am »
Can some one please post correct steps to upgrade from 5.1 to 5.3 and to 6.0 because no mater what i do and hold apt and libapt, dpkg goes dead and i cant update.